%define pkg_name        Filter
%define pkg_version     1.34
%define rpm_pkg_version 1.34
%define rpm_pkg_release 1.n0i.11

Summary:       Perl source filters
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}
Epoch:         0

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PM/PMQS/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This package provides source-level filters for Perl modules.  Source filters
alter the program text of a module before Perl sees it, much as a C
preprocessor alters the source text of a C program before the compiler sees it.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}
%{__find} examples/ -name '*.bak' -delete


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%exclude %{perl_vendorarch}/filter-util.pl
%doc Changes README examples/


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0:1.34-1.n0i.11
- version 1.34

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0:1.33-1.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 1.33

* Mon Apr 17 2006 Marius Feraru <altblue@n0i.net> - 0:1.32-1.n0i.9
- version 1.32

* Fri Sep 02 2005 Marius FERARU <altblue@n0i.net> 0:1.31-1.n0i.8
- version 1.31

* Thu Jul 21 2005 Marius Feraru <altblue@n0i.net> 0:1.30-10.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Thu Mar 31 2005 Marius FERARU <altblue@n0i.net> 0:1.30-9.n0i.6
- more spec tweaks (reb00t style)
- rebuild (FC4)

* Mon Nov 29 2004 Marius FERARU <altblue@n0i.net> 0:1.30-8.n0i.5
- rebuild (perl 5.8.6)
- more reb00t-like bits and pieces

* Fri Nov 26 2004 Marius FERARU <altblue@n0i.net> 0:1.30-7
[another try to sync down with Fedora official packages]
- do not use possibly different compiler options
- dropped useless bits on install stage
- enhanced files removal procedure
- dropped empty directories
- enhanced files list build procedure: claim every non-system-owned file/directory,
  mark every POD file as documentation
- optional make test
- changed License to the proper one
- included docs and examples
- avoided "requires" and "provides" from "documentation"

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun 17 2003 Chip Turner <cturner@redhat.com> 1.29-8
- rebuild

* Mon Jan 27 2003 Chip Turner <cturner@redhat.com>
- version bump and rebuild

* Tue Dec 10 2002 Chip Turner <cturner@redhat.com>
- update to latest version from CPAN

* Wed Nov 20 2002 Chip Turner <cturner@redhat.com>
- rebuild

* Tue Aug  6 2002 Chip Turner <cturner@redhat.com>
- automated release bump and build

* Tue Jul 16 2002 Chip Turner <cturner@redhat.com>
- updated %description

* Thu Jun 27 2002 Chip Turner <cturner@redhat.com>
- description update

* Fri Jun 07 2002 cturner@redhat.com
- Specfile autogenerated
